# AbstractFileTransfer (sshj 0.7.0 API)
Date: 2012-01-08

## net.schmizz.sshj.xfer
Class AbstractFileTransfer

    java.lang.Object
      net.schmizz.sshj.xfer.AbstractFileTransfer

Direct Known Subclasses:
  SCPFileTransfer, SFTPFileTransfer

    public abstract class AbstractFileTransfer

extends Object

Field Summary
`protected org.slf4j.Logger` `log`
`static LoggingTransferListener` `LOGGING_TRANSFER_LISTENER`

Constructor Summary
`AbstractFileTransfer()`

Method Summary
`TransferListener` `getTransferListener()`
`void` `setTransferListener(TransferListener transferListener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected final org.slf4j.Logger log

### LOGGING_TRANSFER_LISTENER

    public static final LoggingTransferListener LOGGING_TRANSFER_LISTENER

Constructor Detail

### AbstractFileTransfer

    public AbstractFileTransfer()

Method Detail

### getTransferListener

    public TransferListener getTransferListener()

### setTransferListener

    public void setTransferListener(TransferListener transferListener)

Copyright © 2009-2012. All Rights Reserved.